<template>
	<view class="list">		
		<Blank v-if="false"></Blank>
		<view class="scroll-view" v-else>
			<scroll-view scroll-y="true" style="height: 100%;" @scrolltolower="onReachScollBottom">
				<slot name="listInfo"></slot>
				<view class="toMore" v-show="list.length<this.total">加载更多</view>
			</scroll-view>
		</view>
		
	</view>
</template>

<script>
	import Black from '@/components/en-utils/en-blank.vue'

	export default {
		components: {Blank},
		data() {
			return {
				list:[],
				page:1,
				total:null,
				status:'',
			}
		},
		mounted() {

		},
		methods:{
			onReachScollBottom(){
				if(this.list.length == this.total){
					return
				}else{
					
				}
			},
		},
	}
</script>

<style scoped lang="scss">
	.list{
		height: 100%;
		display: flex;
		flex-direction: column;
		.scroll-view{
			flex: 1;
			overflow: auto;
		}
		.toMore{
			color: #999;
			font-size: 20rpx;
			margin: 25rpx 0;
			text-align: center;
		}
		::-webkit-scrollbar {
			display: none;
			width: 0;
			height: 0;
			background-color: transparent;
		}
		
		
	}
</style>
